#include <vector>
#include <string>
#include "core/class/Identifier.h"
#include "OrxonoxPrereqs.h"
#include "core/XMLPort.h"
#include "core/EventIncludes.h"
#include "DialogueManager.h"



namespace orxonox{
	class _OrxonoxExport NextQuestion : public BaseObject
	{
		
		//tolua_begin
		public:

		NextQuestion (Context* context); // tolua_export
		

		void setquestion(std::string question);
		std::string getquestion(void);


		
 
		
		virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);

		/*void setanswers(std::string option1, std::string option2, std::string option3);
		std::vector <std::string> getanswers(void);

		int getnumOptions();
		std::vector<std::string> options;*/

		//Event
		virtual void XMLEventPort(Element& xmlelement, XMLPort::Mode mode);
		bool execute(bool bTriggered, BaseObject* trigger);

		
	private:
		std::string question;
		DialogueManager* m;

	};
	
}